Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001485Frama-CGraphical User Interfacepublic2013-09-26 10:242015-03-17 22:18
Reporterdmentre 
Assigned Toguillaume-petiot 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Fluorine-20130601 
Target VersionFixed in VersionFrama-C Sodium 
Summary0001485: Bullet colors are unreadable for color blind people
DescriptionFor color blind people (e.g. "Daltoniens" in French), it is very difficult to make the difference between the red, green and orange bullets (at least, I have no testimony for others).

Possible improvements:
 * Change the shape (e.g. circle for green bullet, triangle for orange bullet, ...);

 * Use a shading scheme suitable for color blind people (https://trello.com [^] is offering such a scheme for label colors), e.g. "/////" for one color, "\\\\\" for another color, etc.

 * A combination of above two schemes.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004091)
signoles (manager)
2013-09-26 11:10

I agree. I already saw this issue when doing slide-based presentations of property statuses in Frama-C.

However the information panel of the GUI and the option -report display the validity statuses in a textual way. Aren't they enough?
(0004096)
dmentre (reporter)
2013-09-26 12:50
edited on: 2013-09-26 12:50

Well, if one wants to use the GUI this is not very practical: he needs to click on each individual VC to see its status.

And having a quick look at the color of VCs to see were are unproved one is a very useful feature IMHO.

But I agree this is not so simple to fully solve this issue, especially considering the number of color combinations that exist for partial proofs. Thus the severity set to "feature" wish.

However, a first partial fix with a different shape for proved (green tick, used in American check-box) and unknown (orange triangle) statuses would help a lot I think. You would keep colored bullets for the other statuses (except maybe the green-orange status, that would become a green_tick-orange_triangle).

(0004927)
ptroja (reporter)
2014-03-07 12:47

I also wanted to "vote" for solving this issue. I have a partial color blindness and I cannot work with the default colors of frama-c-gui.

It would be great if one could customize the colors according to own preferences/disabilities. It seems to be a standard solution in other GUIs, e.g. Eclipse.

As a workaround, I recompiled the frama-c-gui with my own color settings.
(0004928)
signoles (manager)
2014-03-07 12:50

Another workaround: you can redefine the png files provides in `frama-c -print-share-path`/feedback.
(0005503)
guillaume-petiot (developer)
2014-10-09 13:11

fixed by commit 74f91b3afe14b062e614bf3196febdf7d4122bc0
New option: -gui-theme colorblind (users can define some more icon sets in the new directory theme of Frama-C)

(should be in the next release ?)

- Issue History
Date Modified Username Field Change
2013-09-26 10:24 dmentre New Issue
2013-09-26 11:10 signoles Note Added: 0004091
2013-09-26 11:10 signoles Status new => feedback
2013-09-26 12:50 dmentre Note Added: 0004096
2013-09-26 12:50 dmentre Note Edited: 0004096
2013-09-27 09:16 signoles Status feedback => acknowledged
2014-03-07 12:47 ptroja Note Added: 0004927
2014-03-07 12:50 signoles Note Added: 0004928
2014-10-09 13:11 guillaume-petiot Note Added: 0005503
2014-10-09 13:12 guillaume-petiot Status acknowledged => resolved
2014-10-09 14:19 signoles Assigned To => guillaume-petiot
2014-12-16 22:14 signoles Resolution open => fixed
2015-03-17 22:17 signoles Fixed in Version => Frama-C Sodium
2015-03-17 22:18 signoles Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker